org.apache.tools.ant.taskdefs.optional.junit

## Class AggregateTransformer.Format

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.optional.junit.AggregateTransformer.Format

- Enclosing class:
    AggregateTransformer

      public static class AggregateTransformer.Format
      extends EnumeratedAttribute

  defines acceptable formats.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateTransformer.Format()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getValues()` list authorized values.

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregateTransformer.Format

          public AggregateTransformer.Format()

  - ### Method Detail

    - #### getValues

          public java.lang.String[] getValues()

      list authorized values.
      Specified by:
        `getValues` in class `EnumeratedAttribute`
      Returns:
        authorized values.